Cannot find a compatible Android SDK for compilation


#1

Hello,

Sorry for asking help, but I try for 2 days to run nativescript without success… :frowning:

I have this erreur when I run tns doctor : Cannot find a compatible Android SDK for compilation. To be able to build for Android, install Android SDK 22 or later.
It’s the third installation on a windows computer for my team, and first time we have got this issue…

my configuration :

  • Windows 10
  • I try to use Android studio SDK.
  • ANDROID_HOME is filled
  • I added “platform-tools” and “tools” on PATH
  • Android 7.1.1 (API 25) is installed on SDK
  • Androit Support Repository is installed on SDK

I tried to uninstal / reinstall Android studio 2 times and can’t see anything else to do !

Thank’s
serge


#2

See this discussion.